Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.microedition.lcdui
Class Display

    java.lang.Object
      javax.microedition.lcdui.Display

    public class Display

extends Object

Author:
  Andre Nijholt

Field Summary
`static int` | `CHAR_HEIGHT`
`static int` | `CHAR_WIDTH`
`protected Graphics` | `graphics`
`static int` | `SCREEN_CHAR_DEPTH`
`static int` | `SCREEN_CHAR_WIDTH`
`static int` | `SCREEN_HEIGHT`
`static int` | `SCREEN_WIDTH`

Method Summary
`Displayable` | `getCurrent()`
`static Display` | `getDisplay()`
`void` | `quit()`
`void` | `setCurrent(Alert alert, Screen nextDisplayable)`
`void` | `setCurrent(Screen nextDisplayable)`
`void` | `show(boolean polling)` Start displaying the installed menus

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait`

Field Detail

### SCREEN_WIDTH

    public static final int SCREEN_WIDTH

See Also:
  Constant Field Values

### SCREEN_HEIGHT

    public static final int SCREEN_HEIGHT

See Also:
  Constant Field Values

### CHAR_WIDTH

    public static final int CHAR_WIDTH

See Also:
  Constant Field Values

### CHAR_HEIGHT

    public static final int CHAR_HEIGHT

See Also:
  Constant Field Values

### SCREEN_CHAR_WIDTH

    public static final int SCREEN_CHAR_WIDTH

See Also:
  Constant Field Values

### SCREEN_CHAR_DEPTH

    public static final int SCREEN_CHAR_DEPTH

See Also:
  Constant Field Values

### graphics

    protected Graphics graphics

Method Detail

### getDisplay

    public static Display getDisplay()

### setCurrent

    public void setCurrent(Screen nextDisplayable)

### setCurrent

    public void setCurrent(Alert alert,
                           Screen nextDisplayable)

### getCurrent

    public Displayable getCurrent()

### show

    public void show(boolean polling)

  Start displaying the installed menus

  Parameters:
    `polling` - true to poll for button updates (recommended)

### quit

    public void quit()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD